package com.zfire.jiasm.syncdata.plus.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 服务商网点表
 * </p>
 *
 * @author gejiang
 * @since 2023-01-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="Websit对象", description="服务商网点表")
public class Websit extends Model<Websit> {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "网点编号")
    @TableId(value = "websit_id", type = IdType.ID_WORKER_STR)
    private String websitId;

    @ApiModelProperty(value = "网点名称")
    private String websitName;

    @ApiModelProperty(value = "服务商编号")
    private String serviceId;

    @ApiModelProperty(value = "服务商名称")
    private String serviceName;

    @ApiModelProperty(value = "负责人")
    private String personName;

    @ApiModelProperty(value = "负责人手机")
    private String phone;

    @ApiModelProperty(value = "电话号码")
    private String telPhone;

    @ApiModelProperty(value = "服务热线")
    private String hotline;

    @ApiModelProperty(value = "办公电话")
    private String officePhone;

    @ApiModelProperty(value = "税号")
    private String dutyParagraph;

    @ApiModelProperty(value = "区号")
    private String areaCode;

    @ApiModelProperty(value = "承揽电商工单 YES是 NO否")
    private String contractOrder;

    @ApiModelProperty(value = "是否独立法人 YES是 NO否")
    private String legal;

    @ApiModelProperty(value = "法人代表")
    private String legalPerson;

    @ApiModelProperty(value = "法人身份证")
    private String legalIdCard;

    @ApiModelProperty(value = "省")
    private String province;

    @ApiModelProperty(value = "市")
    private String city;

    @ApiModelProperty(value = "区")
    private String area;

    @ApiModelProperty(value = "街道")
    private String street;

    @ApiModelProperty(value = "详细地址")
    private String receAddress;

    @ApiModelProperty(value = "省")
    private String provinceId;

    @ApiModelProperty(value = "市")
    private String cityId;

    @ApiModelProperty(value = "区")
    private String areaId;

    @ApiModelProperty(value = "街道")
    private String streetId;

    @ApiModelProperty(value = "网点类别   MUNICIPAL_LEVEL 市级  COUNTY_LEVEL 县级 TOWNSHIP_LEVEL 乡镇级")
    private String websitCategory;

    @ApiModelProperty(value = "网点状态 ON有效  OFF无效")
    private String status;

    @ApiModelProperty(value = "保证金")
    private BigDecimal bond;

    @ApiModelProperty(value = "保证金时间")
    private Date bondTime;

    @ApiModelProperty(value = "备注")
    private String notes;

    @ApiModelProperty(value = "创建人（制单人）")
    @TableField(fill = FieldFill.INSERT)
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "更新人")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "总行名称")
    private String bank;

    @ApiModelProperty(value = "开启银行")
    private String openBank;

    @ApiModelProperty(value = "银行行号")
    private String openNumber;

    @ApiModelProperty(value = "银行账号")
    private String bankAccount;

    @ApiModelProperty(value = "自动派工 ON开启 OFF关闭")
    private String autoStatus;

    @ApiModelProperty(value = "工程师签到人脸识别 ON开启 OFF关闭")
    private String faceStatus;

    @ApiModelProperty(value = "售后总人数")
    private Integer afterNum;

    @ApiModelProperty(value = "安装工程师数量")
    private Integer installNum;

    @ApiModelProperty(value = "维修工程师数量")
    private Integer repairNum;

    @ApiModelProperty(value = "配送工程师数量")
    private Integer deliveryNum;

    @ApiModelProperty(value = "车辆数量")
    private Integer carNum;

    @ApiModelProperty(value = "日维修量上线")
    private Integer repairUpperNum;

    @ApiModelProperty(value = "维修承载系数")
    private Integer repairLoadNum;

    @ApiModelProperty(value = "日安装台数上限")
    private Integer installUpperNum;

    @ApiModelProperty(value = "安装承载系数")
    private Integer installLoadNum;

    @ApiModelProperty(value = "配件库面积")
    private Integer partsMeasure;

    @ApiModelProperty(value = "仓储面积")
    private Integer storageNum;

    @ApiModelProperty(value = "具备仓储管理能力  YES 是  NO否")
    private String storageHave;

    @ApiModelProperty(value = "基础数据备注")
    private String basicsRemark;

    @ApiModelProperty(value = " 网点性质   ONLY_SELL只卖不装  SELL_INSTALL自卖自装")
    private String networkType;

    @ApiModelProperty(value = "经营面积")
    private String businessArea;

    @ApiModelProperty(value = "展示品牌")
    private String showBrand;

    @ApiModelProperty(value = "办公面积")
    private String officeArea;

    @ApiModelProperty(value = "营业执照")
    private String businessLicense;

    @ApiModelProperty(value = "仓库面积")
    private String warehouseArea;

    @ApiModelProperty(value = "专卖店编号")
    private String shopNo;

    @ApiModelProperty(value = "展示品类")
    private String showCategory;

    @ApiModelProperty(value = "邮编")
    private String postalCode;

    @ApiModelProperty(value = "电商签约网点  YES是  NO否")
    private String onlineRetailers;

    @ApiModelProperty(value = "电商专员")
    private String onlineSpecialist;

    @ApiModelProperty(value = "电商专员电话")
    private String specialistPhone;

    @ApiModelProperty(value = "PROVIDER 总包服务商 NETWORK 网点")
    private String type;

    @ApiModelProperty(value = "HOME 家用  COMMERCIAL 商用  BLEND 通用")
    private String categoryType;

    @ApiModelProperty(value = "家用审核状态  WAIT=待审核 OK=通过 FAIL=不通过")
    private String homeStatus;

    @ApiModelProperty(value = "商用审核状态  WAIT=待审核 OK=通过 FAIL=不通过")
    private String commercialStatus;

    @ApiModelProperty(value = "家用主合同编号")
    private String homeContractNo;

    @ApiModelProperty(value = "商用主合同编号")
    private String commercialContractNo;

    @ApiModelProperty(value = "家用法大大法人id")
    private String homeMethodId;

    @ApiModelProperty(value = "家用法大大网点id")
    private String homeMethodWebsitNo;

    @ApiModelProperty(value = "法人实名流水")
    private String legalNo;

    @ApiModelProperty(value = "网点是否实名  YES是 NO否")
    private String websitRealStatus;

    @ApiModelProperty(value = "网点实名流水号")
    private String websitNo;

    @ApiModelProperty(value = "签约成功时间")
    private Date signTime;

    @ApiModelProperty(value = "签约过期时间")
    private Date signOutTime;

    @ApiModelProperty(value = "家用审核意见")
    private String homeExamineNotes;

    @ApiModelProperty(value = "商用审核意见")
    private String commercialExamineNotes;

    @ApiModelProperty(value = "签约状态 YES 是  NO否")
    private String signStatus;

    @ApiModelProperty(value = "个人实名  YES 是 NO 否")
    private String realStatus;

    @ApiModelProperty(value = "家用审批人")
    private String examineName;

    @ApiModelProperty(value = "家用审批时间")
    private Date examineTime;

    @ApiModelProperty(value = "商用审批人")
    private String commercialExamineName;

    @ApiModelProperty(value = "商用审批时间")
    private Date commercialExamineTime;


    @Override
    protected Serializable pkVal() {
        return this.websitId;
    }

}
